> For the complete documentation index, see [llms.txt](https://docs.mitschmr-studios.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mitschmr-studios.io/skills/skills/api-documentation/skillrelyon/fields.md).

# Fields

Fields of [SkillRelyOn](/skills/skills/api-documentation/skillrelyon.md).&#x20;

| Name                                                                                                | Description                                                       |
| --------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| [uuid](/skills/skills/api-documentation/skillrelyon/fields/uuid.md)                                 | Unique id of the skill                                            |
| [skillName](/skills/skills/api-documentation/skillrelyon/fields/skillname.md)                       | Localized string for the name of the skill                        |
| [skillDescription](/skills/skills/api-documentation/skillrelyon/fields/skilldescription.md)         | Localized string for the description of the skill                 |
| [icon](/skills/skills/api-documentation/skillrelyon/fields/icon.md)                                 | Icon for the image                                                |
| [skillType](/skills/skills/api-documentation/skillrelyon/fields/skilltype.md)                       | Type of the skill                                                 |
| [skillExecutionType](/skills/skills/api-documentation/skillrelyon/fields/skillexecutiontype.md)     | Execution type of the skill                                       |
| [castTime](/skills/skills/api-documentation/skillrelyon/fields/casttime.md)                         | Cast time duration of the skill in seconds                        |
| [executionTime](/skills/skills/api-documentation/skillrelyon/fields/executiontime.md)               | Execution time duration of the skill in seconds                   |
| [cooldownTime](/skills/skills/api-documentation/skillrelyon/fields/cooldowntime.md)                 | Cooldown time duration of the skill in seconds                    |
| [skillState](/skills/skills/api-documentation/skillrelyon/fields/skillstate.md)                     | State of the skill at start                                       |
| [useSkillPoints](/skills/skills/api-documentation/skillrelyon/fields/useskillpoints.md)             | Checkbox to define whether skill points should be used to unlock  |
| [skillPointsNeeded](/skills/skills/api-documentation/skillrelyon/fields/skillpointsneeded.md)       | Amount of skill points needed to unlock                           |
| [requiresLevel](/skills/skills/api-documentation/skillrelyon/fields/requireslevel.md)               | Checkbox to define whether this skill has a level requirement     |
| [level](/skills/skills/api-documentation/skillrelyon/fields/level.md)                               | Level of the skill needed to unlock                               |
| [assignableToSkillBar](/skills/skills/api-documentation/skillrelyon/fields/assignabletoskillbar.md) | Checkbox to define whether this skill can be added to a skill bar |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mitschmr-studios.io/skills/skills/api-documentation/skillrelyon/fields.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
